package rocks.zipcode.io.quiz4.collections;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.NoSuchElementException;

/**
 * @author leon on 11/12/2018.
 */
public class SimpleStringGroup implements Iterable {
    private ArrayList<String> list = new ArrayList<>();

    public SimpleStringGroup() {

    }

    public Integer count() {
        return list.size();
    }

    public void insert(String string) {
        list.add(string);
    }

    public Boolean has(String valueToInsert) {
        return list.contains(valueToInsert);
    }

    public String fetch(int indexOfValue) {
        return list.get(indexOfValue);
    }

    public void delete(String valueToInsert) {
        list.remove(valueToInsert);
    }

    public void clear() {
        list.clear();
    }

    @Override
    public Iterator iterator() {
        return new Iterator() {
            int i = 0;
            @Override
            public boolean hasNext() {
                return i < list.size();
            }
            @Override
            public Object next() {
                if (!hasNext()) {
                    throw new NoSuchElementException("blank");
                } else {
                    return list.get(i++);
                }
            }
        };
    }
}
