package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.TreeMap;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington {

    private ArrayList<Student> studentList = new ArrayList<>();

    public void enroll(Student student) {
        studentList.add(student);
    }

    public Boolean isEnrolled(Student student) {
        return studentList.contains(student);
    }

    public void lecture(double numberOfHours) {
        studentList.forEach(Student -> Student.learn(numberOfHours));
    }

    public Map<Student, Double> getStudyMap() {
        Map<Student, Double> temp = new HashMap<>();
        studentList.forEach(Student -> temp.put(Student, Student.getTotalStudyTime()));
        return temp;
    }
}
